/****************************************************************************
*   COPYRIGHT 2019 All rights reserved
*   Panasonic Industrial Devices Europe GmbH
****************************************************************************/

#ifndef __ENVIRONMENT_H__
#define __ENVIRONMENT_H__

/**
* @file configurations/standalone_mode/application/include/environment.h
* @brief Header file that defines the "environment" for the standalone mode applications
* @details This header files contains the "environment" for the peripheral and central standalone mode demo application.
**/

#include "types.h"
/* We don't want to modify types.h because it is from the SDK, so additional includes go here */
#include <stdbool.h>

/*! Definition of debugger break macro that comes from Windows. Replace it with a Cortex-M0 intrinsic */
#define __debugbreak(...) __asm("bkpt #0\n");

#endif